unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ARLogMemo, ExtCtrls;

type
  TForm1 = class(TForm)
    memLog: TARLogMemo;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    edtLogDateTimeFormat: TEdit;
    GroupBox2: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    rdgLogSeparator: TRadioGroup;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure edtLogDateTimeFormatExit(Sender: TObject);
    procedure CheckBox1Exit(Sender: TObject);
    procedure CheckBox2Exit(Sender: TObject);
    procedure rdgLogSeparatorExit(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
	ShowMessage(
	FormatDateTime('qqq', Now));
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
	memLog.WriteLog('Log Test');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
	memLog.Clear;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
	memLog.SaveToFile;
end;

procedure TForm1.edtLogDateTimeFormatExit(Sender: TObject);
begin
	memLog.LogDateTimeFormat := edtLogDateTimeFormat.Text;
end;

procedure TForm1.CheckBox1Exit(Sender: TObject);
begin
	if Checkbox1.Checked then
	begin
		memLog.LogFormatOptions := memLog.logFormatOptions + [lfoWriteLineNUmber];
	end else
	begin
		memLog.LogFormatOptions := memLog.logFormatOptions - [lfoWriteLineNUmber];
	end;
end;

procedure TForm1.CheckBox2Exit(Sender: TObject);
begin
	if CheckBox2.Checked then
	begin
		memLog.LogFormatOptions := memLog.logFormatOptions + [lfoWriteTimeStamp];
	end else
	begin
		memLog.LogFormatOptions := memLog.logFormatOptions - [lfoWriteTimeStamp];
	end;
end;

procedure TForm1.rdgLogSeparatorExit(Sender: TObject);
begin
	case rdgLogSeparator.ItemIndex of
		0: memLog.LogSeparator := lstComma;
		1: memLog.LogSeparator := lstSpace;
		2: memLog.LogSeparator := lstTAB;
	end;
end;

end.
